//---------------------------------------------------------------------------

#ifndef Artifacts_H
#define Artifacts_H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <IniFiles.hpp>
//---------------------------------------------------------------------------
class TArtifacts : public TForm
{
__published:	// IDE-managed Components
        TButton *CloseBtn;
        TTrackBar *TrackBar1;
        TLabel *Label1;
        TLabel *Label2;
        TLabel *Label3;
        TLabel *Label4;
        TLabel *Label5;
        TTrackBar *TrackBar2;
        TLabel *Label6;
        TLabel *Label7;
        TLabel *Label8;
        TCheckBox *ArtEnabled;
        void __fastcall CloseBtnClick(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall TrackBarChange(TObject *Sender);
        void __fastcall ArtEnabledClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TArtifacts(TComponent* Owner);
        void SaveSettings(TIniFile *ini);
        void LoadSettings(TIniFile *ini);
};
//---------------------------------------------------------------------------
extern PACKAGE TArtifacts *Artifacts;
//---------------------------------------------------------------------------
#endif
