//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop
USERES("EightyOne.res");
USEFORM("main_.cpp", Form1);
USEUNIT("z80\z80_ops.c");
USEUNIT("z80\z80.c");
USEUNIT("z80thread.cpp");
USEUNIT("kbstatus.cpp");
USEFORM("About_.cpp", About);
USEFORM("Keyboard_.cpp", Keyboard);
USEFORM("Speed_.cpp", Speed);
USEFORM("kb_.cpp", Kb);
USEFORM("Hardware_.cpp", Hardware);
USEUNIT("zx81\snap.c");
USEUNIT("zx81\zx81.c");
USEUNIT("zx81\zx81config.c");
USEUNIT("zx81\accurate.c");
USEUNIT("AccDraw_.cpp");
USEFORM("TapeMan\TapeMan_.cpp", Tape);
USEUNIT("TapeMan\TapeCInterface.cpp");
USEFORM("zxprinter\zxprinter.cpp", Printer);
USEUNIT("wavtape\WavFile.cpp");
USEFORM("wavtape\wavload_.cpp", WavLoad);
USEUNIT("wavtape\WavCInterface.cpp");
USEFORM("DebugWin\Debug.cpp", Dbg);
USEFORM("zxprinter\PrintOptions_.cpp", PrintOptions);
USEFORM("DebugWin\AddBreak_.cpp", NewBreakForm);
USEUNIT("Utils.cpp");
USEFORM("Artifacts_.cpp", Artifacts);
USEUNIT("sound\dxsound.c");
USEUNIT("sound\sound.c");
USEFORM("sound\SoundOP.cpp", SoundOutput);
USEFORM("DebugWin\Hist.cpp", HistoryBox);
USEUNIT("zx81\rompatch.c");
USEFORM("ROM.cpp", ROMBox);
USEFORM("MemSave_.cpp", MemSave);
USEFORM("zx97Config.cpp", ZX97Dialog);
USEUNIT("peripherals\dev8255.c");
USEFORM("SerialPort.cpp", SerialConfig);
USEUNIT("tzx\tzxevent.cpp");
USEUNIT("tzx\tzxEventGeneral.cpp");
USEUNIT("tzx\tzxfile.cpp");
USEUNIT("tzx\tzxload.cpp");
USEFORM("tzx\TZXMan.cpp", TZX);
USEUNIT("tzx\tzxsave.cpp");
USEUNIT("tzx\tzxadd.cpp");
USEFORM("tzx\tzxEditPause.cpp", EditPauseForm);
USEFORM("tzx\tzxEditArchive.cpp", EditArchiveInfo);
USEFORM("tzx\tzxEditText.cpp", EditTextForm);
USEFORM("tzx\tzxEditHWInfo.cpp", EditHWInfoForm);
USEFORM("tzx\tzxEditGeneral.cpp", EditGeneralForm);
//---------------------------------------------------------------------------
char *CommandLine;

//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR cmd, int)
{
        CommandLine=cmd;

        try
        {
                 Application->Initialize();
                 Application->Title = "EightyOne";
                 Application->CreateForm(__classid(TForm1), &Form1);
                 Application->CreateForm(__classid(TNewBreakForm), &NewBreakForm);
                 Application->CreateForm(__classid(TPrintOptions), &PrintOptions);
                 Application->CreateForm(__classid(TAbout), &About);
                 Application->CreateForm(__classid(TKeyboard), &Keyboard);
                 Application->CreateForm(__classid(TSpeed), &Speed);
                 Application->CreateForm(__classid(TKb), &Kb);
                 Application->CreateForm(__classid(TROMBox), &ROMBox);
                 Application->CreateForm(__classid(THardware), &Hardware);
                 Application->CreateForm(__classid(TTape), &Tape);
                 Application->CreateForm(__classid(TWavLoad), &WavLoad);
                 Application->CreateForm(__classid(TDbg), &Dbg);
                 Application->CreateForm(__classid(TPrinter), &Printer);
                 Application->CreateForm(__classid(TArtifacts), &Artifacts);
                 Application->CreateForm(__classid(TSoundOutput), &SoundOutput);
                 Application->CreateForm(__classid(THistoryBox), &HistoryBox);
                 Application->CreateForm(__classid(TMemSave), &MemSave);
                 Application->CreateForm(__classid(TZX97Dialog), &ZX97Dialog);
                 Application->CreateForm(__classid(TSerialConfig), &SerialConfig);
                 Application->CreateForm(__classid(TTZX), &TZX);
                 Application->CreateForm(__classid(TEditPauseForm), &EditPauseForm);
                 Application->CreateForm(__classid(TEditArchiveInfo), &EditArchiveInfo);
                 Application->CreateForm(__classid(TEditTextForm), &EditTextForm);
                 Application->CreateForm(__classid(TEditHWInfoForm), &EditHWInfoForm);
                 Application->CreateForm(__classid(TEditGeneralForm), &EditGeneralForm);
                 Application->Run();
        }
        catch (Exception &exception)
        {
                 Application->ShowException(&exception);
        }
        return 0;
}
//---------------------------------------------------------------------------
