//---------------------------------------------------------------------------

#include <vcl.h>
#include <stdio.h>
#pragma hdrstop

#include "MemSave_.h"
#include "main_.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TMemSave *MemSave;

extern char memory[];

//---------------------------------------------------------------------------
__fastcall TMemSave::TMemSave(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void TMemSave::SaveMem(void)
{
        Save->Caption="Save File...";
        MemSave->Caption="Save Block...";
        Label2->Enabled=true;
        Size->Enabled=true;
        ShowModal();
}
//---------------------------------------------------------------------------
void TMemSave::LoadMem(void)
{
        Save->Caption="Load File...";
        MemSave->Caption="Load Block...";
        Label2->Enabled=false;
        Size->Enabled=false;
        Size->Text="";
        ShowModal();
}
//---------------------------------------------------------------------------
void __fastcall TMemSave::FormShow(TObject *Sender)
{
        int x,y;

        x=Form1->Left + Form1->Width / 2;
        y=Form1->Top + Form1->Height / 2;

        x -= Width/2;
        y -= Height/2;

        Left=x;
        Top=y;
}
//---------------------------------------------------------------------------
int TMemSave::Hex2Dec(AnsiString num)
{
        int val=0;
        int i;

        for(i=1; i<=num.Length(); i++)
        {
                if (num[i]>='0' && num[i]<='9') val = val*16 + num[i]-'0';
                else if (num[i]>='a' && num[i]<='f') val = val*16 + 10 + num[i]-'a';
                else if (num[i]>='A' && num[i]<='F') val = val*16 + 10 + num[i]-'A';
                else if (num[i]!='$') return(val);
        }
        return(val);
}
void __fastcall TMemSave::SaveClick(TObject *Sender)
{
        AnsiString AddrStr, LenStr, FileName;
        int addr,len;
        FILE *f;

        AddrStr=Address->Text;
        LenStr=Size->Text;

        if (AddrStr.Length() < 1) return;
        if (AddrStr[1]=='$') addr=Hex2Dec(AddrStr);
        else addr=atoi(AddrStr.c_str());
        len=0;
        if (LenStr.Length())
        {
                if (LenStr[1]=='$') len=Hex2Dec(AddrStr);
                else len=atoi(LenStr.c_str());
        }
        if (addr<0 || addr>65535) return;

        if (Save->Caption=="Save File...")
        {
                if (!len) return;
                if (!SaveDialog->Execute()) return;
                FileName=SaveDialog->FileName;

                f=fopen(FileName.c_str(), "wb");
                if (f)
                {
                        int l;
                        char *p = memory+addr;

                        while(len--) fputc(*(p++), f);
                        fclose(f);
                }
        }
        else
        {
                if (!OpenDialog->Execute()) return;
                FileName=OpenDialog->FileName;

                f=fopen(FileName.c_str(), "rb");
                if (f)
                {
                        int l;
                        char *p = memory+addr;

                        fread(p, 1, 65536, f);
                        fclose(f);
                }
        }

        Close();
}

