//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "ROM.h"
#include "zx81config.h"
#include "zx81.h"
#include "hardware_.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TROMBox *ROMBox;
//---------------------------------------------------------------------------
__fastcall TROMBox::TROMBox(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TROMBox::ROMBrowseClick(TObject *Sender)
{
        char cwd[256];
        AnsiString NewName;
        int p;

        strcpy(cwd, zx81.cwd);
        if (cwd[strlen(cwd)-1]!='\\') strcat(cwd,"\\");
        strcat(cwd,"ROM\\");

        LoadROMDialog->FileName = ROMFileName->Text;
        LoadROMDialog->InitialDir = cwd;
        if (!LoadROMDialog->Execute()) return;

        NewName=LoadROMDialog->FileName;

        p=NewName.Length();

        while(p>0)

        {
                if (NewName[p]=='\\')
                {
                        p++;
                        NewName=NewName.SubString(p, 1 + NewName.Length() - p);
                        ROMFileName->Text = NewName;
                        p=0;
                }
                p--;
        }

        ROMFileName->Text = NewName;
}
//---------------------------------------------------------------------------
void __fastcall TROMBox::OKClick(TObject *Sender)
{
        switch(Hardware->Model->ItemIndex)
        {
        case 0:
                strcpy(zx81.ROM80, ROMBox->ROMFileName->Text.c_str());
                break;
        case 1:
                strcpy(zx81.ROM81, ROMBox->ROMFileName->Text.c_str());
                break;
        case 3:
                strcpy(zx81.ROMTS1000, ROMBox->ROMFileName->Text.c_str());
                break;
        case 4:
                strcpy(zx81.ROMTS1500, ROMBox->ROMFileName->Text.c_str());
                break;
        case 5:
                strcpy(zx81.ROMLAMBDA, ROMBox->ROMFileName->Text.c_str());
                break;
        case 6:
                strcpy(zx81.ROMPC8300, ROMBox->ROMFileName->Text.c_str());
                break;
        case 7:
                strcpy(zx81.ROMR470, ROMBox->ROMFileName->Text.c_str());
                break;
        case 8:
                strcpy(zx81.ROMTK85, ROMBox->ROMFileName->Text.c_str());
                break;
        case 9:
                strcpy(zx81.ROMACE, ROMBox->ROMFileName->Text.c_str());
                break;
        }

        zx81.romcrc=-1;

        if (BASIC80->Checked) zx81.romcrc = CRCZX80;
        if (BASIC81->Checked) zx81.romcrc = CRCZX81;
        if (BASICLAMBDA->Checked) zx81.romcrc = CRCLAMBDA;
        if (FORTHACE->Checked) zx81.romcrc = CRCACE;

        Close();
}
//---------------------------------------------------------------------------
