object Tape: TTape
  Left = 161
  Top = 114
  Width = 287
  Height = 276
  Caption = 'Tape Manager'
  Color = clBtnFace
  Font.Charset = DEFAULT_CHARSET
  Font.Color = clWindowText
  Font.Height = -11
  Font.Name = 'MS Sans Serif'
  Font.Style = []
  Menu = MainMenu1
  OldCreateOrder = False
  OnClose = FormClose
  OnResize = FormResize
  PixelsPerInch = 96
  TextHeight = 13
  object HeaderControl1: THeaderControl
    Left = 0
    Top = 0
    Width = 279
    Height = 17
    DragReorder = False
    Enabled = False
    FullDrag = False
    Sections = <
      item
        AllowClick = False
        ImageIndex = -1
        MaxWidth = 50
        MinWidth = 50
        Text = 'Cur Pos'
        Width = 50
      end
      item
        ImageIndex = -1
        MaxWidth = 147
        MinWidth = 147
        Text = 'Filename'
        Width = 147
      end
      item
        ImageIndex = -1
        MaxWidth = 82
        MinWidth = 82
        Text = 'Length'
        Width = 82
      end>
  end
  object StringGrid: TStringGrid
    Left = 0
    Top = 16
    Width = 279
    Height = 209
    Anchors = [akLeft, akTop, akRight, akBottom]
    ColCount = 3
    DefaultRowHeight = 18
    FixedCols = 0
    RowCount = 1
    FixedRows = 0
    Options = [goFixedVertLine, goFixedHorzLine, goVertLine, goHorzLine, goRowSelect]
    ScrollBars = ssVertical
    TabOrder = 0
    OnDblClick = StringGridDblClick
    ColWidths = (
      47
      146
      82)
  end
  object LoadTapeDialog: TOpenDialog
    DefaultExt = '.t81'
    Filter = 
      'All ZX81 Files|*.t81;*.p;*.o|EightyOne Tape Files (.T81)|*.t81|Z' +
      'X81 Files (.p)|*.p|ZX80 Files (.o)|*.o'
    Left = 8
    Top = 120
  end
  object SaveTapeDialog: TSaveDialog
    DefaultExt = 'T81'
    Filter = 'EightyOne Tape File|*.T81'
    Options = [ofOverwritePrompt, ofHideReadOnly, ofCreatePrompt, ofEnableSizing]
    Left = 40
    Top = 120
  end
  object InsertBlockDialog: TOpenDialog
    DefaultExt = '.p'
    Filter = '.p Files|*.p|.81 Files|*.81'
    Left = 104
    Top = 120
  end
  object ExtractBlockDialog: TSaveDialog
    DefaultExt = '.p'
    Filter = '.p|*.p'
    Left = 200
    Top = 120
  end
  object MainMenu1: TMainMenu
    Left = 144
    Top = 120
    object Tape1: TMenuItem
      Caption = 'Tape'
      object NewTape1: TMenuItem
        Caption = 'New Tape'
        OnClick = NewTape1Click
      end
      object OpenTape1: TMenuItem
        Caption = 'Open Tape...'
        OnClick = OpenTape1Click
      end
      object SaveTape1: TMenuItem
        Caption = 'Save Tape...'
        OnClick = SaveTape1Click
      end
    end
    object Block1: TMenuItem
      Caption = 'Block'
      object InsertBlock1: TMenuItem
        Caption = 'Insert Block...'
        OnClick = InsertBlock1Click
      end
      object ExtractBlock1: TMenuItem
        Caption = 'Extract Block...'
        OnClick = ExtractBlock1Click
      end
      object N1: TMenuItem
        Caption = '-'
      end
      object MoveBlockUp1: TMenuItem
        Caption = 'Move Block Up'
        OnClick = MoveBlockUp1Click
      end
      object MoveBlockDown1: TMenuItem
        Caption = 'Move Block Down'
        OnClick = MoveBlockDown1Click
      end
      object N2: TMenuItem
        Caption = '-'
      end
      object DeleteBlock1: TMenuItem
        Caption = 'Delete Block'
        OnClick = DeleteBlock1Click
      end
    end
    object Convert1: TMenuItem
      Caption = 'Options'
      object TapetoWave1: TMenuItem
        Caption = 'Convert Tape to Wave'
        OnClick = TapetoWave1Click
      end
      object BlocktoWave1: TMenuItem
        Caption = 'Convert Block to Wave'
        OnClick = BlocktoWave1Click
      end
      object N3: TMenuItem
        Caption = '-'
      end
      object AutoRewind: TMenuItem
        Caption = 'AutoRewind an end'
        OnClick = AutoRewindClick
      end
      object AutoLoad: TMenuItem
        Caption = 'AutoLoad on insert'
        OnClick = AutoLoadClick
      end
    end
  end
end
