#include "dev8255.h"

static BYTE porta, portb, portc, ctrl;

BYTE d8255_read(BYTE port)
{
        switch(port)
        {
        case D8255PRTA:
                return(porta);

        case D8255PRTB:
                return(portb);

        case D8255PRTC:
                return(portc);
        }
        return(255);
}

void d8255_write(BYTE port, BYTE data)
{
        switch(port)
        {
        case D8255PRTA:
                porta=data;
                break;
        case D8255PRTB:
                portb=data;
                break;
        case D8255PRTC:
                portc=data;
                break;
        case D8255CTRL:
                ctrl=data;
                break;
        }
}

void d8255_reset(void)
{
        porta=0;
        portb=0;
        portc=0;
}

