#include "z80.h"
#include "zx81.h"
#include "snap.h"
#include "zx81config.h"
#include "WavCInterface.h"
#include "rompatch.h"

int PatchTest(int pc)
{
        switch(zx81.romcrc)
        {
        case CRCZX81:
        case CRCZX97LE:
        case CRCTS1500:
        case CRCSG81:
        case CRCTK85:
        case CRC8300:
        case CRCR470:
                //if (pc==0x046f && zx81.interceptload && zx81.autoload) { pc=0x347; z80.de.w=0xffff; }


                if (pc==0x0207)
                {
                        zx81.vsyncsound=0;
                        WavStop();
                }
                if (pc==0x347 || (zx81.romcrc==CRCTK85 && pc==0x21b6))
                {
                        zx81.autoload=0;
                        if (zx81.interceptload) pc=load_tape_buffer(z80.de.w) ? 0x207:0x3a6;
                        else if (zx81.audioin) ; //Start audio in
                        else  WavStart(); //Start Wav Play;

                        if (pc==0x207 && zx81.romcrc==CRCR470)
                        {
                                //pc=0x0855;
                                //z80.sp.w += 2;
                        }
                }

                if (pc==0x2fc || (zx81.romcrc==CRCTK85 && pc==0x20d5))
                {
                        if (zx81.interceptsave) { pc = 0x0207; save_tape_buffer(z80.hl.w); }
                        else if (zx81.audioout) { zx81.vsyncsound=1; }
                        else WavStartRec();
                }
                break;

        case CRCZX80:
                if (pc==0x0203)
                {
                        zx81.vsyncsound=0;
                        WavStop();
                }
                if (pc==0x207)
                {
                        if (zx81.interceptload)  { pc=0x0203; load_tape_buffer(z80.de.w); }
                        else if (zx81.audioin) ;
                        else WavStart();
                }
                if (pc==0x1b7)
                {
                        if (zx81.interceptsave) { pc=0x0203; save_tape_buffer(z80.hl.w); }
                        else if (zx81.audioout) { zx81.vsyncsound=1; }
                        else WavStartRec();
                }
                break;

        case CRCLAMBDA:
                if (pc==0x0203)
                {
                        zx81.vsyncsound=0;
                        WavStop();
                }
                if (pc==0x19ef)
                {
                        if (zx81.interceptload) pc=load_tape_buffer(z80.de.w) ? 0xec5 : 0;
                        else if (zx81.audioin) ;
                        else WavStart();
                }
                if (pc==0xd0d)
                {
                        if (zx81.interceptsave) { pc=0xec5; writebyte(0x4009,0xff); save_tape_buffer(z80.hl.w); }
                        else if (zx81.audioout) { zx81.vsyncsound=1; }
                        else WavStartRec();
                }
                break;

        case CRCACE:
                if (pc==0x18a7)
                {
                        if (zx81.interceptload) { pc=0x210; load_tape_buffer(z80.hl.w); }
                        else if (zx81.audioin);
                        else WavStart();
                }
                if (pc==0x1820)
                {
                        if (zx81.interceptsave) { pc=0x210; save_tape_buffer(z80.hl.w); }
                        else if (zx81.audioout) { zx81.vsyncsound=1; }
                        else WavStartRec();
                }
                break;
        default:
                break;
        }

        return(pc);
}
