
#ifndef SNAP_H
#define SNAP_H

#ifdef __cplusplus

extern "C" int load_snap(char *filename);
extern "C" int save_snap(char *filename);
extern "C" int load_file(char *filename);
extern "C" int load_tape_buffer(int memptr);
extern "C" void save_tape_buffer(int ptr);
extern "C" int memory_load(char *filename, int address, int length);

#else

extern int load_snap(char *filename);
extern int save_snap(char *filename);
extern int load_file(char *filename);
extern int load_tape_buffer(int memptr);
extern void save_tape_buffer(int ptr);
extern int memory_load(char *filename, int address, int length);

#endif
#endif

