#include <string.h>
#include <dir.h>

#include "zx81config.h"

ZX81 zx81;
ZX97 zx97;

void load_config(void)
{
        zx81.machine=MACHINEZX81;
        zx81.shadowROM=0;
        zx81.RAM816k=1;
        zx81.protectROM=1;
        zx81.RAMTOP=32767;
        zx81.ROMTOP=8191;
        zx81.NTSC=0;
        zx81.truehires=HIRESWRX;
        zx81.inverse=0;
        zx81.extfont=0;
        zx81.frameskip=0;
        zx81.aysound=0;
        zx81.aytype=0;
        zx81.vsyncsound=0;
        zx81.beepersound=0;
        zx81.ts2050=0;
        zx81.interceptload=1;
        zx81.interceptsave=1;
        zx81.TZXin=0;
        zx81.TZXout=0;
        zx81.colour=0;
        zx81.audioout=0;
        zx81.audioin=0;
        zx81.romcrc=-1;
        zx81.romtype=1;
        zx81.autoload=0;
        zx81.wobble=0;
        zx81.chrgen=CHRGENSINCLAIR;
        zx81.enableqschrgen=0;

        zx81.debug1=zx81.debug2=0;

        zx81.single_step=0;

        strcpy(zx81.ROM80, "zx80.rom");
        strcpy(zx81.ROM81, "zx81.rom");
        strcpy(zx81.ROMACE, "ace.rom");
        strcpy(zx81.ROMTS1000, "zx81.rom");
        strcpy(zx81.ROMTS1500, "ts1500.rom");
        strcpy(zx81.ROMLAMBDA, "lambda.rom");
        strcpy(zx81.ROMPC8300, "8300.rom");
        strcpy(zx81.ROMTK85, "tk85.rom");
        strcpy(zx81.ROM97LE, "zx97.rom");
        strcpy(zx81.ROMR470, "ringo470.rom");

        zx97.bankswitch=0;
        zx97.protect08=1;
        zx97.protectab=0;
        zx97.protectb0=1;
        zx97.protectb115=0;
        zx97.saveram=0;

        getcwd(zx81.cwd,256);
}

