//---------------------------------------------------------------------------

#ifndef zx97ConfigH
#define zx97ConfigH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Dialogs.hpp>
#include <IniFiles.hpp>
//---------------------------------------------------------------------------
class TZX97Dialog : public TForm
{
__published:	// IDE-managed Components
        TCheckBox *Protect08;
        TLabel *Label1;
        TCheckBox *ProtectAB;
        TCheckBox *ProtectB0;
        TCheckBox *ProtectB115;
        TCheckBox *SaveRAM;
        TLabel *Label2;
        TComboBox *PrinterOutput;
        TLabel *Label3;
        TEdit *FileName;
        TButton *FileNameSelector;
        TSaveDialog *SaveDialog1;
        TButton *OK;
        TCheckBox *SwapRAMROM;
        void __fastcall PrinterOutputChange(TObject *Sender);
        void __fastcall FileNameSelectorClick(TObject *Sender);
        void __fastcall Protect08Click(TObject *Sender);
        void __fastcall ProtectABClick(TObject *Sender);
        void __fastcall ProtectB0Click(TObject *Sender);
        void __fastcall ProtectB115Click(TObject *Sender);
        void __fastcall OKClick(TObject *Sender);
        void __fastcall FormDestroy(TObject *Sender);
        void __fastcall SwapRAMROMClick(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
private:	// User declarations
        void LoadSettings(TIniFile *ini);
        void SaveSettings(TIniFile *ini);
public:		// User declarations
        __fastcall TZX97Dialog(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TZX97Dialog *ZX97Dialog;
//---------------------------------------------------------------------------
#endif
