//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "PrintOptions_.h"
#include "zxprinter.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TPrintOptions *PrintOptions;
//---------------------------------------------------------------------------
__fastcall TPrintOptions::TPrintOptions(TComponent* Owner)
        : TForm(Owner)
{
        BitSpeed=0;
        LineSpeed=75;

        BitRate->Position = 100-BitSpeed;
        LineRate->Position = 100-LineSpeed;
        Style->ItemIndex=2;

}
//---------------------------------------------------------------------------
void __fastcall TPrintOptions::BitRateChange(TObject *Sender)
{
        BitRateTxt->Caption = ((int) BitRate->Position);
        BitRateTxt->Caption = "Carriage Speed: "+BitRateTxt->Caption;
        BitSpeed = 100 - BitRate->Position;
}
//---------------------------------------------------------------------------
void __fastcall TPrintOptions::LineRateChange(TObject *Sender)
{
        LineRateTxt->Caption = ((int) LineRate->Position);
        LineRateTxt->Caption = "Paper Feed Speed: "+LineRateTxt->Caption;
        LineSpeed = 100 - LineRate->Position;
}
//---------------------------------------------------------------------------
void __fastcall TPrintOptions::OKClick(TObject *Sender)
{
        Close();
}
//---------------------------------------------------------------------------
void __fastcall TPrintOptions::StyleChange(TObject *Sender)
{
        switch(Style->ItemIndex)
        {
        case 0:
                Printer->Fg=clBlack;
                Printer->Bg=clLtGray;
                BitRate->Position=0;
                LineRate->Position=75;
                break;
        case 1:
                Printer->Fg=clBlue;
                Printer->Bg=clWhite;
                BitRate->Position=30;
                LineRate->Position=100;
                break;
        case 2:
                Printer->Fg=clBlack;
                Printer->Bg=clWhite;
                BitRate->Position=65;
                LineRate->Position=100;
                break;
        }
        Printer->ClearImageClick(NULL);
}
//---------------------------------------------------------------------------

