//---------------------------------------------------------------------------

#ifndef MemSave_H
#define MemSave_H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Dialogs.hpp>
//---------------------------------------------------------------------------
class TMemSave : public TForm
{
__published:	// IDE-managed Components
        TEdit *Address;
        TLabel *Label1;
        TEdit *Size;
        TLabel *Label2;
        TButton *Save;
        TSaveDialog *SaveDialog;
        TOpenDialog *OpenDialog;
        void __fastcall FormShow(TObject *Sender);
        void __fastcall SaveClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TMemSave(TComponent* Owner);
        void TMemSave::SaveMem(void);
        void TMemSave::LoadMem(void);
        int TMemSave::Hex2Dec(AnsiString num);

};
//---------------------------------------------------------------------------
extern PACKAGE TMemSave *MemSave;
//---------------------------------------------------------------------------
#endif
