//---------------------------------------------------------------------------

#ifndef Speed_H
#define Speed_H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <IniFiles.hpp>
//---------------------------------------------------------------------------
class TSpeed : public TForm
{
__published:	// IDE-managed Components
        TButton *Button1;
        TPanel *AccuratePanel;
        TLabel *Label9;
        TLabel *Label10;
        TLabel *Label11;
        TLabel *Label12;
        TTrackBar *AccurateSpeed;
        TCheckBox *EnableFrameSkip;
        void __fastcall Button1Click(TObject *Sender);
        void __fastcall Recalc(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall EnableFrameSkipClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
        int DirtyFastTStates;
        int DirtySlowTStates;
        int AccurateTStates;

        __fastcall TSpeed(TComponent* Owner);
        void LoadSettings(TIniFile *ini);
        void SaveSettings(TIniFile *ini);
};
//---------------------------------------------------------------------------
extern PACKAGE TSpeed *Speed;
//---------------------------------------------------------------------------
#endif
