//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "tzxEditGeneral.h"
#include "tzxfile.h"
#include "tzxman.h"
extern TTZXFile TZXFile;

//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TEditGeneralForm *EditGeneralForm;
//---------------------------------------------------------------------------
__fastcall TEditGeneralForm::TEditGeneralForm(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TEditGeneralForm::OKClick(TObject *Sender)
{
        Close();
}
//---------------------------------------------------------------------------
void TEditGeneralForm::Go(int BlockNo, int Mx, int My)
{
        AnsiString text;
        unsigned short *pulses;
        int i,j;
        bool eol=false;
        unsigned char *p;

        Top = My - Height/2;
        Left = Mx - Width/2;
        if (Top<0) Top=0;
        if (Left<0) Left=0;

        Pause->Text = TZXFile.Tape[BlockNo].Pause;
        UsedBits->Text = TZXFile.Tape[BlockNo].Head.General.FinalBits;

        if (TZXFile.Tape[BlockNo].Head.General.Flags & 1) LevelHigh->Checked=true;
        else LevelLow->Checked=true;

        PPL->Text = TZXFile.Tape[BlockNo].Head.General.PilotLen;
        NoPP->Text = TZXFile.Tape[BlockNo].Head.General.PilotPulses;

        text="";

        j=TZXFile.Tape[BlockNo].Head.General.SyncPulses;
        for(i=0;i<TZXFile.Tape[BlockNo].Head.General.SyncPulses;i++)
        {
                text += TZXFile.Tape[BlockNo].SyncPulses[i];
                j--;
                if (j) text += " ";
        }

        SyncPulses->Lines->Text = text;

        text="";

        pulses = TZXFile.Tape[BlockNo].Alphabet ;

        for(i=0;i<TZXFile.Tape[BlockNo].Head.General.NoSymbols ;i++)
        {
            eol=false;
            j=0;
            while(j<TZXFile.Tape[BlockNo].Head.General.MaxPulsesBit)
            {
                if (!eol)
                {
                        text+=*pulses;
                        text += " ";
                }
                pulses++;
                if (*pulses==0) eol=true;
                j++;
            }
            text += "\n\n";
        }

        Alphabet->Lines->Text = text;

        text="0000: ";
        j=0;
        p=TZXFile.Tape[BlockNo].Data.Data;

        for(i=0;i<TZXFile.Tape[BlockNo].Head.General.DataLen;i++)
        {
                text += IntToHex(*(p++), 2);
                text += " ";
                if (++j == 16)
                {
                        j=0;
                        text += "\n";
                        text += IntToHex(i,4);
                        text += ": ";
                }
        }

        Data->Lines->Text = text;

        ActiveControl= PPL;
        ShowModal();

        TZXFile.Tape[BlockNo].Pause = Pause->Text.ToInt();
        TZXFile.Tape[BlockNo].Head.General.FinalBits = UsedBits->Text.ToInt();

        TZXFile.Tape[BlockNo].Head.General.Flags = LevelHigh->Checked;

        TZXFile.Tape[BlockNo].Head.General.PilotLen = PPL->Text.ToInt();
        TZXFile.Tape[BlockNo].Head.General.PilotPulses = NoPP->Text.ToInt();

}
